python-audioread_1.0.3-1build1_all.deb


Advertisement

Description

python-audioread - Backend-agnostic audio decoding Python package

Distribution: Ubuntu 16.04 LTS (Xenial Xerus)
Repository: Ubuntu Universe amd64
Package name: python-audioread
Package version: 1.0.3
Package release: 1build1
Package architecture: all
Package type: deb
Installed size: 95 B
Download size: 16.53 KB
Official Mirror: archive.ubuntu.com
Decode audio files using whichever backend is available. The library currently supports: * GStreamer via gst-python. * MAD via the pymad bindings. * FFmpeg via the avconv command-line interface. * The standard library wave and aifc modules (for WAV and AIFF files).

Alternatives

    Download

    Source package: audioread

    Install Howto

    1. Update the package index:
      # sudo apt-get update
    2. Install python-audioread deb package:
      # sudo apt-get install python-audioread

    Files

    • /usr/lib/python2.7/dist-packages/audioread-1.0.3.egg-info
    • /usr/lib/python2.7/dist-packages/audioread/__init__.py
    • /usr/lib/python2.7/dist-packages/audioread/ffdec.py
    • /usr/lib/python2.7/dist-packages/audioread/gstdec.py
    • /usr/lib/python2.7/dist-packages/audioread/macca.py
    • /usr/lib/python2.7/dist-packages/audioread/maddec.py
    • /usr/lib/python2.7/dist-packages/audioread/rawread.py
    • /usr/share/doc/python-audioread/README.rst.gz
    • /usr/share/doc/python-audioread/changelog.Debian.gz
    • /usr/share/doc/python-audioread/copyright
    • /usr/share/doc/python-audioread/examples/decode.py

    Changelog

    2015-07-22 - Steve Langasek <steve.langasek@ubuntu.com> audioread (1.0.3-1build1) wily; urgency=medium * No-change rebuild for python3.5 transition

    2014-09-29 - Simon Chopin <chopin.simon@gmail.com> audioread (1.0.3-1) unstable; urgency=medium * New upstream release + Drop the print() patch, merged upstream. * d/control: bump Standards-Version to 3.9.6, no changes needed. * Switch to pybuild: + Remove the python[3]-audioread.install files + Add dh-python to Build-Depends + Clean up d/rules.

    2013-05-14 - Simon Chopin <chopin.simon@gmail.com> audioread (1.0.1-1) unstable; urgency=low [ Simon Chopin ] * New upstream release * Update copyright years * Add X-Python-Version headers * Add a Python 3 package + Patch gstdec.py to use the print() function * Bump Standards-Version to 3.9.4: + Build-depend on debhelper >= 8.1 to get build-arch and build-indep targets [ Jakub Wilk ] * Use canonical URIs for Vcs-* fields.

    2012-06-01 - Simon Chopin <chopin.simon@gmail.com> audioread (0.6-1) unstable; urgency=low * New upstream release

    2012-04-08 - Simon Chopin <chopin.simon@gmail.com> audioread (0.5-1) unstable; urgency=low * New upstream release * Bump Standards-Version to 3.9.3 * Use the Copyrigh Format 1.0 URL in the d/copyright Format: field

    2012-02-03 - Simon Chopin <chopin.simon@gmail.com> audioread (0.3-1) unstable; urgency=low * New upstream release * Patch: avconv.patch make audioread use the avconv executable instead of the deprecated ffmpeg.

    2011-12-24 - Simon Chopin <chopin.simon@gmail.com> audioread (0.2-1) unstable; urgency=low * Initial release (Closes: #651935)

    Advertisement
    Advertisement